#include "colors.inc"

global_settings { assumed_gamma 2.2 }

camera
{
	location  <0, 12, -14>
	look_at   <0, 0, 2>
}

plane
{
	<0, 1, 0>, -1 
	pigment
	{
		marble
			color_map
			{
				[0.0 color Black]
				[0.8 color Green]
				[1.0 color White]
			}
		turbulence .95
	}
	finish 
	{
		ambient 0.2
		diffuse 0.8
		phong .8
		reflection 1.0
	}
	scale 5
}

merge {
#declare foo = 0;
#while (foo < 10)
	sphere 
	{ 
		<-foo/.5, 0.0, foo*2>, 2
		pigment { White filter .98 }
		interior
		{
			ior 1.45
			fade_distance 2
			fade_power 1
			caustics 6.0
		}

		finish 
		{
			ambient 0.9
			diffuse 0.8
			phong .7
		}
	}
	#if (foo != 0)
	sphere 
	{ 
		<foo/.5, 0.0, foo*2>, 2
		pigment { White filter .98 }
		interior
		{
			ior 1.45
			fade_distance 2
			fade_power 1
			caustics 6.0
		}

		finish 
		{
			ambient 0.9
			diffuse 0.8
			phong .8
		}
	}
	#end
	#declare foo = foo + 1;
#end	
}

/* The back sphere */
sphere 
{ 
	<0.0, 3.0, 6.5>, 2
	pigment { Black }
	finish 
	{
		ambient 0
		diffuse 0
		phong .8
		reflection 1.0
	}
}

/* interesting lights next to the center */
light_source { <-3, 1, 0> color red 0 green 0 blue 1 }
light_source { <3, 1, 0> color red 0 green 0 blue 1 }
light_source { <0, 3, 0> color red 1 green 0 blue 0 }
light_source { <0, 4.5, 6.5> color red 1 green 1 blue 1 }
light_source { <0, 3, 3.5> color red 0 green 1 blue 0 }

/* interesting lights far away */
light_source { <-10, 5, 35> color red 0.4 green 0 blue 0 }
light_source { <0, 5, 70> color red 0.3 green 0 blue 0 }
light_source { <10, 5, 35> color red 0.4 green 0 blue 0 }


